## NAME

CURLOPT_HTTPPOST - specify the multipart formpost content

## SYNOPSIS

    #include <curl/curl.h>
     CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTPPOST,
                               struct curl_httppost *formpost);

## DESCRIPTION

Tells libcurl you want a multipart/formdata HTTP POST to be made and you instruct what data to pass on to the server in the formpost argument. Pass a pointer to a linked list of curl_httppost structs as parameter. The easiest way to create such a list, is to use curl_formadd(3) as documented. The data in this list must remain intact until you close this curl handle again with curl_easy_cleanup(3).

Using POST with HTTP 1.1 implies the use of a "Expect: 100-continue" header. You can disable this header with CURLOPT_HTTPHEADER.

When setting CURLOPT_HTTPPOST, it will automatically set CURLOPT_NOBODY to 0.

## DEFAULT

NULL

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

As long as HTTP is enabled

## RETURN VALUE

Returns CURLE_OK if HTTP is enabled, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_POSTFIELDS CURLOPT_POST

This HTML page was made with roffit.